--AH:ScriptId=86fde99f-76ed-4f43-a2cc-1a6941954d8c;458
CREATE TABLE [Roles]
(
	[Role_Id] INT IDENTITY(1,1) NOT NULL
		CONSTRAINT [PK__Roles]
		PRIMARY KEY NONCLUSTERED ([Role_Id]),
	[Role_Name] NVARCHAR(50) NOT NULL,
	CONSTRAINT [UQ__Roles]
		UNIQUE NONCLUSTERED ([Role_Name])
)

CREATE TABLE [Tasks]
(
	[Task_Id] INT IDENTITY(1,1) NOT NULL
		CONSTRAINT [PK__Tasks]
		PRIMARY KEY CLUSTERED ([Task_Id]),
	[Task_Name] VARCHAR(50) NOT NULL,
	CONSTRAINT [UQ__Tasks]
		UNIQUE NONCLUSTERED ([Task_Name])
)

GO

CREATE TABLE [RoleTasks]
(
	[Role_Id] INT NOT NULL,
		CONSTRAINT [FK__RoleTasks__Roles]
		FOREIGN KEY ([Role_Id]) REFERENCES [Roles] ([Role_Id]),
	[Task_Id] INT NOT NULL,
		CONSTRAINT [FK__RoleTasks__Tasks]
		FOREIGN KEY ([Task_Id]) REFERENCES [Tasks] ([Task_Id]),
	CONSTRAINT [PK__RoleTasks]
		PRIMARY KEY ([Role_Id], [Task_Id])
)
