--AH:ScriptId=ee5cbdfa-1a96-4aa1-b446-99f18bd16e2a;3084

CREATE TABLE [PackagePromotions]
(
    [PackagePromotion_Id] INT IDENTITY(1,1) NOT NULL,
    [Package_Name] NVARCHAR(200) NOT NULL,
    [Group_Name] NVARCHAR(200) NULL,
    [Version_Text] NVARCHAR(100) NOT NULL,
    [From_Feed_Id] INT NOT NULL,
    [To_Feed_Id] INT NOT NULL,
    [Promoted_Date] DATETIME NOT NULL,
    [PromotedBy_User_Name] USERNAME NOT NULL,
    [Comments_Text] NVARCHAR(MAX) NULL,

    CONSTRAINT [PK__PackagePromotions] PRIMARY KEY ([PackagePromotion_Id]),
    CONSTRAINT [FK__PackagePromotions__Feeds__FromFeed] FOREIGN KEY ([From_Feed_Id]) 
        REFERENCES [Feeds] ([Feed_Id]),

    CONSTRAINT [FK__PackagePromotions__Feeds__ToFeed] FOREIGN KEY ([To_Feed_Id]) 
        REFERENCES [Feeds] ([Feed_Id])
)

CREATE NONCLUSTERED INDEX [IX__PackagePromotions__PackageIdentifier_FromFeed] 
   ON [PackagePromotions] ([From_Feed_Id], [Package_Name], [Version_Text]) INCLUDE ([Group_Name])

CREATE NONCLUSTERED INDEX [IX__PackagePromotions__PackageIdentifier_ToFeed] 
   ON [PackagePromotions] ([To_Feed_Id], [Package_Name], [Version_Text]) INCLUDE ([Group_Name])