EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Connectors_SetUpdated',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Marks a connector as updated.'
GO

IF OBJECT_ID('[Connectors_SetUpdated]') IS NOT NULL DROP PROCEDURE [Connectors_SetUpdated]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Connectors_SetUpdated]
(
	@Connector_Id INT,
	@IndexUpdated_Date DATETIME
)
AS BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [Connectors]
	   SET [IndexUpdated_Date] = @IndexUpdated_Date
	 WHERE [Connector_Id] = @Connector_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Connectors_SetUpdated] TO [ProGetUser_Role]
GO
