EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ExternalUsers_GetUsers',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ExternalUsers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the external users in the system for the specified directory provider.'
GO

IF OBJECT_ID('[ExternalUsers_GetUsers]') IS NOT NULL DROP PROCEDURE [ExternalUsers_GetUsers]
GO

CREATE PROCEDURE [ExternalUsers_GetUsers]
(
	@UserDirectory_Id INT
)
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT *
	  FROM [ExternalUsers]
	  WHERE @UserDirectory_Id IS NULL OR [UserDirectory_Id] = @UserDirectory_Id

END
GO

GRANT EXECUTE ON [ExternalUsers_GetUsers] TO [ProGetUser_Role]
GO
